Name: directplay
Description: Microsoft DirectPlay redistributable
Provider: Microsoft
License: Microsoft EULA
License_url: https://www.microsoft.com/web/webpi/eula/net_library_eula_enu.htm
Dependencies: []
Steps:
- action: archive_extract
  file_name: dxnt.tar.xz
  url: https://proxy.usebottles.com/redistributable/dependencies/dxnt.tar.xz
  file_checksum: 53a21ef097296da1762727e5b04e3372
  file_size: 100275120
  dest: temp/dxnt/

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dplaysvr.exe
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dplayx.dll
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dpmodemx.dll
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dpnet.dll
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dpnhpast.dll
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dpnhupnp.dll
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dpnsvr.exe
  dest: win32

- action: copy_dll
  url: temp/dxnt.tar/dxnt/win32/
  file_name: dpwsockx.dll
  dest: win32

- action: register_dll
  dlls:
    - dplayx.dll
    - dpnet.dll
    - dpnhpast.dll
    - dpnhupnp.dll
  
- action: override_dll
  bundle: 
    - value: dplaysvr.exe
      data: native,builtin

    - value: dplayx
      data: native,builtin

    - value: dpmodemx
      data: native,builtin

    - value: dpnet
      data: native,builtin

    - value: dpnhpast
      data: native,builtin

    - value: dpnhupnp
      data: native,builtin

    - value: dpnsvr.exe
      data: native,builtin

    - value: dpwsockx
      data: native,builtin


